summaryrefslogtreecommitdiffstats
path: root/audio/ncmpc/ncmpc.SlackBuild
diff options
context:
space:
mode:
author Andrew Brouwers <abrouwers@gmail.com>2010-05-12 17:37:15 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:37:15 +0200
commit4db0940e18ed0d23363f9c5ffca6e1f87fcbcf21 (patch)
treed1cb8218c9bfbd7e4a4d9b8b6524a74f5dd1b3d9 /audio/ncmpc/ncmpc.SlackBuild
parent0a46c9345ab68d4b0a2afd507b1874a7f52cd68c (diff)
downloadslackbuilds-4db0940e18ed0d23363f9c5ffca6e1f87fcbcf21.tar.gz
slackbuilds-4db0940e18ed0d23363f9c5ffca6e1f87fcbcf21.tar.xz
audio/ncmpc: Updated for version 0.14
Diffstat (limited to 'audio/ncmpc/ncmpc.SlackBuild')
-rw-r--r--audio/ncmpc/ncmpc.SlackBuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/audio/ncmpc/ncmpc.SlackBuild b/audio/ncmpc/ncmpc.SlackBuild
index 1678993f02..0bbc57e15b 100644
--- a/audio/ncmpc/ncmpc.SlackBuild
+++ b/audio/ncmpc/ncmpc.SlackBuild
@@ -25,10 +25,11 @@
# Modified by the SlackBuilds.org project
PRGNAM=ncmpc
-VERSION=0.11.1
+VERSION=0.14
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -38,8 +39,6 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2"
fi
@@ -48,7 +47,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xvfz $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -57,6 +56,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --mandir=/usr/man \
|| exit 1
make || exit 1